Create a new record in the table
Each table has unique schema, which means that the request body should be updated with the schema relevant to the table being used. The example below is assuming that the table has a column labeled “name”.
Required API Scope: Workspace Content: Create
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
Create a new record in the table
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "test name"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content"
payload = { "name": "test name" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'test name'})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Was this page helpful?
⌘I
Create a new record in the table
